<!DOCTYPE html>
<html>

<head>
    <title>INF226 Create user</title>
    <link rel="stylesheet" href="/static/index.css" />
	<link rel="icon" href="/static/favicon.ico" type="image/png" />

</head>

<body>
    <div id="page">
    <h2>Create User Account</h2>
    <p>Please enter your prefered userName and password</p>
    <p>Note that your password has to be minimum 12 characters long</p>
    <ul> 
      {% for field in errors %}
        {% for message in field.messages %}
        <li>{{ message }}</li>
        {% endfor %}
      {% endfor %}
    </ul>
    <form action="" method=post>
  <dl>     
    
    {{ form.csrf_token }}
    {% if form.csrf_token.errors %}
        <div class="warning">You have submitted an invalid CSRF token</div>
    {% endif %}

    <dt>Username: </dt>
    <dd>{{ form.username }}</dd>

 

    <dt>Password: </dt>
    <dd>{{ form.password }}</dd>

    <dt>Confirm Password: </dt>
    <dd>{{ form.confirmPassword }}</dd>

    </dl>

    <input type=submit value='Create user'>
    
</form>
  <p>Already have an account? <a href="login.html">Click here to log in</a>.</p> 
  </div>
</body>
